<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/eventos_alerta.php';
include_once '../token/validatetoken.php';

$database = new Database();
$db = $database->getConnection();

$eventos_alerta = new Eventos_Alerta($db);

$eventos_alerta->id = isset($_GET['id']) ? $_GET['id'] : die();
$eventos_alerta->readOne();
 
if($eventos_alerta->id!=null){
    $eventos_alerta_arr = array(
        
"id" => $eventos_alerta->id,
"alerta_id" => $eventos_alerta->alerta_id,
"tipo_evento" => $eventos_alerta->tipo_evento,
"descripcion_evento" => html_entity_decode($eventos_alerta->descripcion_evento),
"fecha_evento" => $eventos_alerta->fecha_evento
    );
    http_response_code(200);
   echo json_encode(array("status" => "success", "code" => 1,"message"=> "eventos_alerta found","document"=> $eventos_alerta_arr));
}
else{
    http_response_code(404);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "eventos_alerta does not exist.","document"=> ""));
}
?>
